Subject: bug#19865: tar-untar-buffer: should honor default-directory

From: Wolfgang Jenkner <[email-masked]>
Date: Tue, 17 Feb 2015 18:03:26 +0100

On Mon, Feb 16 2015, Stefan Monnier wrote:

> [Eli wrote:]
>> It's the same as working in the shell:
>
> That's also my impression.

The shell analogy might be a bit misleading and is perhaps the reason
why you seem to be talking past each other: Personally, at the shell
command line, I don't change to the directory holding the tarball,
instead I change to the directory where I want to extract it, like this

$ cd ~/src; tar xvf ~/Downloads/foo.tar.gz

This is quite different from the situation in emacs where

C-x C-f ~/Downloads/foo.tar.gz

results in buffers whose default-directory is ~/Downloads, hence the
reason why doing M-x cd ~/src in the non-hidden buffer should have the
effect as in the proposed patch.